Package pyplusplus :: Package file_writers :: Module md5sum_repository :: Class dummy_repository_t

# type dummy_repository_t

source code

      object --+
               |
    repository_t --+
                   |
                  dummy_repository_t

Instance Methods

__init__(self) | source code

get_file_value(self, fpath) | source code

get_text_value(self, text) | source code

update_value(self, fpath, hash_value) | source code

save_values(self) | source code

Method Details

### __init__(self)
(Constructor)

source code

Overrides: repository_t.__init__

### get_file_value(self, fpath)

source code

Overrides: repository_t.get_file_value

### get_text_value(self, text)

source code

Overrides: repository_t.get_text_value

### update_value(self, fpath, hash_value)

source code

Overrides: repository_t.update_value

### save_values(self)

source code

Overrides: repository_t.save_values